Bug 854418 - rubygem-rdoc doesn't provide Ruby documentation
rubygem-rdoc doesn't provide Ruby documentation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rubygem-rdoc (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mo Morsi
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 19:53 EDT by Eric Jacoboni
Modified: 2012-09-18 22:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-18 22:58:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Jacoboni 2012-09-04 19:53:14 EDT
On a fresh F17 installation, rubygem-rdoc-3.12.3.fc17 doesn't provide standard ruby documentation :

$ ri String
Nothing known about String

(same thing whatever is given to ri..)


Expected results should be :

= String < Object

------------------------------------------------------------------------------
= Includes:
Comparable (from ruby core)
(...)
Comment 1 Vít Ondruch 2012-09-05 02:05:38 EDT
As it is common for many rubygems, the documentation is split into the -doc subpackage, i.e. # yum install rubygem-rdoc-doc should solve your issue.
Comment 2 Eric Jacoboni 2012-09-05 07:03:29 EDT
I don't speak about the rubygem-rdoc documentation but of the documentation of ruby itself...
Comment 3 Eric Jacoboni 2012-09-05 11:49:22 EDT
I've found that removing the whole ruby stuff and reinstalling with yum install rubygem-rdoc.x86_64 "solves" the problem. As the .x86_64 (3.9.4-15.fc17) package does contains the documentation.

The rubygem-rdoc.noarch is newer (3.12-3.fc17) and miss the ruby documentation...
Comment 4 Fedora Update System 2012-09-06 09:12:01 EDT
ruby-1.9.3.194-17.fc18,rubygem-rdoc-3.12-5.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ruby-1.9.3.194-17.fc18,rubygem-rdoc-3.12-5.fc18
Comment 5 Fedora Update System 2012-09-06 10:33:36 EDT
ruby-1.9.3.194-16.fc17,rubygem-rdoc-3.12-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ruby-1.9.3.194-16.fc17,rubygem-rdoc-3.12-4.fc17
Comment 6 Vít Ondruch 2012-09-06 10:41:49 EDT
Actually you were right. I split the Ruby's documentation out of the rubygem-rdoc into its own -doc subpackage, so the updates to rubygem-rdoc will not remove the Ruby's documentation. There was also bug in rubygem-rdoc (wrong documentation search patch) and I fixed it as well.
Comment 7 Fedora Update System 2012-09-07 07:37:33 EDT
Package ruby-1.9.3.194-16.fc17, rubygem-rdoc-3.12-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ruby-1.9.3.194-16.fc17 rubygem-rdoc-3.12-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13492/ruby-1.9.3.194-16.fc17,rubygem-rdoc-3.12-4.fc17
then log in and leave karma (feedback).
Comment 8 Eric Jacoboni 2012-09-07 17:59:01 EDT
I've updated to the two package mentionned in the previous comment but my problem is still there :

$ ri String
Nothing know about String
Comment 9 Eric Jacoboni 2012-09-07 18:09:43 EDT
Well... Sorry. Installing ruby-doc fixes the problem.

All is fine, now.
Comment 10 Fedora Update System 2012-09-17 18:52:49 EDT
ruby-1.9.3.194-17.fc18, rubygem-rdoc-3.12-5.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2012-09-18 22:58:31 EDT
ruby-1.9.3.194-16.fc17, rubygem-rdoc-3.12-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.